Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Modular_Exponentiator Class Referenceabstract

`#include <pow_mod.h>`

Inheritance diagram for Botan::Modular_Exponentiator:

## Public Member Functions
virtual Modular_Exponentiator * | copy () const =0
virtual BigInt | execute () const =0
| Modular_Exponentiator ()=default
| Modular_Exponentiator (const Modular_Exponentiator &)=default
Modular_Exponentiator & | operator= (const Modular_Exponentiator &)=default
virtual void | set_base (const BigInt &)=0
virtual void | set_exponent (const BigInt &)=0
virtual | ~Modular_Exponentiator ()=default

## Detailed Description

Modular Exponentiator Interface

Definition at line 18 of file pow_mod.h.

## Constructor & Destructor Documentation

Botan::Modular_Exponentiator::Modular_Exponentiator | ( |  | ) |
| default

Botan::Modular_Exponentiator::Modular_Exponentiator | ( | const Modular_Exponentiator & |  | ) |
| default

virtual Botan::Modular_Exponentiator::~Modular_Exponentiator | ( |  | ) |
| virtual default

## Member Function Documentation

virtual Modular_Exponentiator* Botan::Modular_Exponentiator::copy | ( |  | ) | const
| pure virtual

Implemented in Botan::Montgomery_Exponentiator, and Botan::Fixed_Window_Exponentiator.

Referenced by Botan::Power_Mod::operator=(), and Botan::Power_Mod::Power_Mod().

virtual BigInt Botan::Modular_Exponentiator::execute | ( |  | ) | const
| pure virtual

Implemented in Botan::Montgomery_Exponentiator, and Botan::Fixed_Window_Exponentiator.

Referenced by Botan::Power_Mod::execute().

Modular_Exponentiator& Botan::Modular_Exponentiator::operator= | ( | const Modular_Exponentiator & |  | ) |
| default

virtual void Botan::Modular_Exponentiator::set_base | ( | const BigInt & |  | ) |
| pure virtual

Implemented in Botan::Montgomery_Exponentiator, and Botan::Fixed_Window_Exponentiator.

Referenced by Botan::Power_Mod::set_base().

virtual void Botan::Modular_Exponentiator::set_exponent | ( | const BigInt & |  | ) |
| pure virtual

Implemented in Botan::Montgomery_Exponentiator, and Botan::Fixed_Window_Exponentiator.

Referenced by Botan::Power_Mod::set_exponent().

The documentation for this class was generated from the following file:

- src/lib/math/numbertheory/pow_mod.h